#
# spec file for package python-stsci.distutils
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-stsci.distutils
Version:        0.3.7
Release:        1.129
Summary:        Distutils utilities used by some of STScI's packages
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Source0:        http://pypi.python.org/packages/source/p/stsci.distutils/stsci.distutils-%{version}.tar.gz
Url:            http://pypi.python.org/pypi/stsci.distutils/
BuildRequires:  fdupes
BuildRequires:  python-Sphinx
BuildRequires:  python-devel
BuildRequires:  python-d2to1 >= 0.2.9
BuildRequires:  python-numpydoc
BuildRequires:  python-setuptools
Requires:       python-Sphinx
Requires:       python-setuptools
Requires:       python-numpydoc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      python-stscidistutils < %{version}
Provides:       python-stscidistutils = %{version}
%if  0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%else
BuildArch:      noarch
%endif

%description
This package contains utilities used to package some of the STScI's (Space
Telescope Science Institute) Python projects.

%prep
%setup -q -n stsci.distutils-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}%{python_sitelib}

%files
%defattr(-,root,root)
%doc CHANGES.txt README.txt
%{python_sitelib}/stsci
%{python_sitelib}/stsci.distutils-%{version}-py*.egg-info
%{python_sitelib}/stsci.distutils-%{version}-py*-nspkg.pth

%changelog
* Thu Sep 11 2014 toddrme2178@gmail.com
- Update to 0.3.7 (2013-12-23)
  * Avoid using Popen.stdout directly in the version.py SVN
    revision auto-update script to avoid possible
    ResourceWarnings on Python >= 3.2.
    See https://github.com/spacetelescope/PyFITS/issues/45
- Update to 0.3.6 (2013-11-21)
  * Fixed a syntax error in Python 3 that was introduced in
    0.3.5. This could occur very early in the setup such
    that it bailed before even 2to3 could run on the rest of
    the package.
- Update to 0.3.5 (2013-11-18)
  * Fixed an obscure issue that could occur when trying to
    install with easy_install on Python 2 systems that have
    lib2to3 installed but have never used it.
* Sun Nov 17 2013 p.drouand@gmail.com
- Update to version 0.3.4
  + Updated the check for ``__loader__`` added in v0.3.3 to only perform
    that check on Python >= 3.3, since the issue doesn't apply to older
    Python versions.
- Changes from 0.3.3
  + Updated the import-time SVN revision update mechanism in the ``version.py``
    module generated by the ``version_setup_hook`` to avoid running when not in
    a dev version of the package.  This saves time on importing released
    packages when installed on users' systems.
  + Added a workaround to a bug on Python 3.3 that could cause stsci.distutils
    to crash during installation.
- LICENSE file in not available anymore in tarball
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Sep 19 2013 speilicke@suse.com
- Drop useless requires on python-numpy-doc
* Mon Jun 17 2013 speilicke@suse.com
- Huge cleanup
* Fri May 10 2013 matwey.kornilov@gmail.com
- Add Obsoletes:/Provides:
* Thu May  9 2013 matwey.kornilov@gmail.com
- update to 0.3.2
* Mon Jun 25 2012 scorot@free.fr
- update summary and description
* Sun Jun 24 2012 scorot@free.fr
- fix Url and Source link
* Sun Jun 24 2012 scorot@free.fr
- first package
